Features/Blender25

From FedoraProject

< Features(Difference between revisions)
Jump to: navigation, search
(moved to FeatureAcceptedF16 - feature was approved at 2011-06-01 meeting)
 
(One intermediate revision by one user not shown)
Line 1: Line 1:
= Update to Blender 2.5 serires =
+
= Update to Blender 2.5 series =
  
 
This feature bring blender-2.57 or later on Fedora 16. the aim of the blender 2.5
 
This feature bring blender-2.57 or later on Fedora 16. the aim of the blender 2.5
Line 10: Line 10:
 
== current Status ==
 
== current Status ==
 
* Targeted Release: [[Release/16/Schedule|Fedora 16]]
 
* Targeted Release: [[Release/16/Schedule|Fedora 16]]
* Last Update: 2011-05-17
+
* Last Update: 2011-08-10
* Percentage of completion: 30%
+
* Percentage of completion: 90%
  
 
== Detailed Description ==
 
== Detailed Description ==
Line 32: Line 32:
 
== User Experience ==
 
== User Experience ==
 
* New improved user interface
 
* New improved user interface
* new tools.
+
* new tools
 +
*  Support of openCOLLADA for inchange 3D moddelling data to other applications
  
 
== Dependencies ==
 
== Dependencies ==
There are two packages which requires blender:
+
There are three packages which requires blender:
  
 
<pre>
 
<pre>

Latest revision as of 15:35, 10 August 2011

Contents

[edit] Update to Blender 2.5 series

This feature bring blender-2.57 or later on Fedora 16. the aim of the blender 2.5 project is to provide a new release of blender with a new designed UI. Enhanced tools and animations.

[edit] Owner

[edit] current Status

  • Targeted Release: Fedora 16
  • Last Update: 2011-08-10
  • Percentage of completion: 90%

[edit] Detailed Description

Blender-2.5 provides a newly designed UI and tools. It's based on python-3.2 and has a changed ABI for third-party scripts.

Currently existing packages which depend on blender have to be tested to make sure that they work together with this new release.

One packaging related change is the move of the script directory to %{_datadir}/blender/<BLENDERVERSION>/scripts. Additionally there is no need for a wrapper to create symlinks in the ~/.blender directory any more.

[edit] Benefit for Fedora

Providing a release of blender which was ported to python-3.2 or above.

[edit] How to Test

  • Try out primary blender package
  • Try out addon packages which require blender

[edit] User Experience

  • New improved user interface
  • new tools
  • Support of openCOLLADA for inchange 3D moddelling data to other applications

[edit] Dependencies

There are three packages which requires blender:

LuxRender
YafaRay
yofrankie-bge


[edit] Contingency Plan

Revert to blender-2.49b. Provide additional blender25 package if possible.

[edit] Documentation

Create a blender249 package which can use for the packages which could not migrated to blender-2.57b or above.

Blender Development Page

[edit] Release Notes

Blender-2.5 provides a new release of blender with a new designed user Interface and tools which is based on python-3.2.